Maven
  1. Maven
  2. MNG-3109

version ranges can include snapshots

    Details

    • Type: Bug Bug
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Duplicate
    • Affects Version/s: 2.0.4, 2.0.5, 2.0.6, 2.0.7
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Number of attachments :
      0

      Description

      <version>[1.1.0,)</version>
      

      This version range can resolve to the latest dev SNAPSHOT which causes the release plugin to fail due to a SNAPSHOT dependency. The release plugin should check that the original version specification includes a non-SNAPSHOT version (1.1.0) and so can be released without harm.

        Issue Links

          Activity

          Hide
          Akbarr added a comment -

          This document:
          http://docs.codehaus.org/display/MAVEN/Dependency+Mediation+and+Conflict+Resolution#DependencyMediationandConflictResolution-DependencyVersionRanges
          addressed the requirements for version ranges and stated that "Resolution of dependency ranges should not resolve to a snapshot (development version) unless it is included as an explicit boundary". I think this requirement was forgetten when version ranges were implemented.

          Show
          Akbarr added a comment - This document: http://docs.codehaus.org/display/MAVEN/Dependency+Mediation+and+Conflict+Resolution#DependencyMediationandConflictResolution-DependencyVersionRanges addressed the requirements for version ranges and stated that "Resolution of dependency ranges should not resolve to a snapshot (development version) unless it is included as an explicit boundary". I think this requirement was forgetten when version ranges were implemented.
          Hide
          David Hoffer added a comment -

          Does anyone know when this will be resolved? Also, it seems that all (most) other plug-ins have the same problem; I have observed this bug with the idea, assembly & dependency plug-in. It seems troubling to me that so many plug-ins have this bug.

          What are the workarounds for this? We are to the point of being forced to not use version ranges, but we don't want to do this because the practice works so well if it were not for the bug!

          What are the options?

          • If you don't use version ranges, how can you get the same behavior?
          • Could this be fixed? Where is the code that resolves version ranges? Is this shared across all plug-in or does each implement this in their own way?
          Show
          David Hoffer added a comment - Does anyone know when this will be resolved? Also, it seems that all (most) other plug-ins have the same problem; I have observed this bug with the idea, assembly & dependency plug-in. It seems troubling to me that so many plug-ins have this bug. What are the workarounds for this? We are to the point of being forced to not use version ranges, but we don't want to do this because the practice works so well if it were not for the bug! What are the options? If you don't use version ranges, how can you get the same behavior? Could this be fixed? Where is the code that resolves version ranges? Is this shared across all plug-in or does each implement this in their own way?
          Hide
          brianfox brianfox added a comment -

          This is a core issue as it shows up in multiple plugins

          Show
          brianfox brianfox added a comment - This is a core issue as it shows up in multiple plugins
          Hide
          Mark Hobson added a comment -

          Marking as a duplicate of MNG-3092 - see that issue for further discussion and a patch.

          Show
          Mark Hobson added a comment - Marking as a duplicate of MNG-3092 - see that issue for further discussion and a patch.

            People

            • Assignee:
              Unassigned
              Reporter:
              Mike Perham
            • Votes:
              10 Vote for this issue
              Watchers:
              9 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: